Package uk.ac.starlink.topcat

# Class TopcatForwarder

java.lang.Object
uk.ac.starlink.topcat.TopcatForwarder

All Implemented Interfaces:
  `EventListener`, `TopcatListener`

public class TopcatForwarder extends Object implements TopcatListener
TopcatListener implementation which forwards events to other TopcatListeners.

Since:
  3 Nov 2005
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`TopcatForwarder()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addTopcatListener(TopcatListener listener)`
Adds a new listener.
`void`
`modelChanged(TopcatEvent evt)`
Invoked when the model has changed in some way.
`void`
`removeTopcatListener(TopcatListener listener)`
Removes a listener which was previously added.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TopcatForwarder

public TopcatForwarder()

## Method Details

### addTopcatListener

public void addTopcatListener(TopcatListener listener)
Adds a new listener.

Parameters:
  `listener` - listener to add

### removeTopcatListener

public void removeTopcatListener(TopcatListener listener)
Removes a listener which was previously added.

Parameters:
  `listener` - listener to remove

### modelChanged

public void modelChanged(TopcatEvent evt)
Description copied from interface: `TopcatListener`
Invoked when the model has changed in some way.

Specified by:
  `modelChanged` in interface `TopcatListener`
Parameters:
  `evt` - event description